.demo-page {
  @import '../../themes/variables/color';
  @import '../../themes/mixins/icon';
  @import '../../themes/mixins/text';

  .e-sidebar {
    display: none;
  }

  .e-content {
    margin-right: auto;
    margin-left: auto;
    padding-left: initial;

    width: 100%;
    max-width: 102.4rem;

    /* HEADER */
    .e-header {
      .main-nav {
        display: flex;
        align-items: center;

        border-bottom: 0.1rem solid $black;
        height: 6.4rem;

        .left {
          display: flex;
          align-items: center;

          .logo {
            .icon {
              @include icon-size(4.2rem);
            }
          }

          .site-name {
            margin-left: 1.6rem;
            color: $black;

            font-size: 3.2rem;
            font-weight: 600;
          }
        }

        .right {
          display: flex;
          align-items: center;
          margin-left: auto;

          .input-field {
            display: flex;
            align-items: center;

            margin-right: 2.4rem;

            border: 0.1rem solid $grey-1;
            border-radius: 0.2rem;

            padding: 0 1.6rem;

            height: 3.2rem;

            color: $black;
          }
        }
      }
    }

    /* BODY */
    .e-body {
      margin-top: 2.4rem;

      .video-list {
        display: flex;
        flex-direction: column;

        width: 100%;

        /* Item */
        .video-item {
          $video-size: 50rem;

          display: flex;
          align-items: flex-start;

          margin-bottom: 2.4rem;
          width: 100%;

          .video {
            &,
            .iframe {
              width: $video-size;
              height: #{$video-size * 9 / 16};
            }
          }

          .video-info {
            display: flex;
            flex-direction: column;
            justify-content: flex-start;

            margin-left: 3.2rem;

            /* max-height: #{$video-size * 9 / 16}; */

            .video-title {
              @include word-wrap();

              @include split-text(1) {
                @include limit-paragraph-height(2.5rem);
              }

              color: $green-2;
              font-size: 2.4rem;
              font-weight: 700;
            }

            .meta-data {
              display: flex;
              align-items: flex-start;

              .summary {
                display: flex;
                flex-direction: column;

                .shared-by {
                  margin-top: 0.4rem;
                  color: $grey-1;
                }

                .stats {
                  margin-top: 0.8em;

                  &,
                  .icon-wrapper {
                    display: flex;
                    align-items: center;
                  }

                  .stats-item {
                    flex-direction: row-reverse;

                    &:not(:last-child) {
                      margin-right: 1.6rem;
                    }

                    &.like {
                      .icon {
                        position: relative;
                        top: -0.3rem;
                      }
                    }

                    .icon {
                      margin-right: initial;
                      margin-left: 0.4rem;
                    }

                    .icon-label {
                      color: $grey-1;
                      font-weight: 500;
                    }
                  }
                }
              }

              .actions {
                display: flex;
                align-items: center;
                margin-left: auto;

                .button {
                  &:not(:last-child) {
                    margin-right: 2.4rem;
                  }

                  .icon {
                    @include icon-size(4.8rem);
                  }
                }
              }
            }

            .description {
              margin-top: 1.6rem;

              .label {
                color: $grey-1;
                font-weight: 700;
              }

              .content {
                @include word-wrap();

                @include split-text(11) {
                  @include limit-paragraph-height(1.6rem * 11);
                }

                margin-top: 0.8rem;
                color: $grey-1;
                line-height: 1.6rem;
              }
            }
          }
        }
      }
    }
  }
}
